// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.


namespace Microsoft.Azure.Management.Internal.Resources.Models
{
    /// <summary>
    /// Deployment properties.
    /// </summary>
    public partial class DeploymentProperties
    {
        private DeploymentMode _mode;

        /// <summary>
        /// Optional. Gets or sets the deployment mode.
        /// </summary>
        public DeploymentMode Mode
        {
            get { return this._mode; }
            set { this._mode = value; }
        }

        private string _parameters;

        /// <summary>
        /// Optional. Deployment parameters. Use only one of Parameters or
        /// ParametersLink.
        /// </summary>
        public string Parameters
        {
            get { return this._parameters; }
            set { this._parameters = value; }
        }

        private ParametersLink _parametersLink;

        /// <summary>
        /// Optional. Gets or sets the URI referencing the parameters. Use only
        /// one of Parameters or ParametersLink.
        /// </summary>
        public ParametersLink ParametersLink
        {
            get { return this._parametersLink; }
            set { this._parametersLink = value; }
        }

        private string _template;

        /// <summary>
        /// Optional. Gets or sets the template content. Use only one of
        /// Template or TemplateLink.
        /// </summary>
        public string Template
        {
            get { return this._template; }
            set { this._template = value; }
        }

        private TemplateLink _templateLink;

        /// <summary>
        /// Optional. Gets or sets the URI referencing the template. Use only
        /// one of Template or TemplateLink.
        /// </summary>
        public TemplateLink TemplateLink
        {
            get { return this._templateLink; }
            set { this._templateLink = value; }
        }

        /// <summary>
        /// Initializes a new instance of the DeploymentProperties class.
        /// </summary>
        public DeploymentProperties()
        {
        }
    }
}
